# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.9.4
%define module_name Blatte
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.9.4
Release: alt1
Summary: text macro/markup/template language
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/B/BO/BOBG/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Blatte is a very powerful text markup and transformation language with.a very simple syntax.  A Blatte document can be translated into a Perl
program that, when executed, produces a transformed version of the
input document.

This module itself contains some utility functions for handling Blatte
documents, described below in the FUNCTIONS section.  However, writers
of Blatte-based software will generally be more interested in other
associated modules.  See in particular the Blatte::Compiler manpage (for
processing files full of Blatte code) and the Blatte::Builtins manpage (for a
description of the Blatte language's intrinsic functions).

Most casual end users will probably be interested in Blatte's ability
to serve as a higher-level language for writing web pages.  This
requires the additional CPAN package Blatte::HTML.

Most of the remainder of this document describes the syntax and
semantics of the Blatte language.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc ChangeLog TODO LICENSE README
%perl_vendor_privlib/B*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.4-alt1
- initial import by package builder

